## org.apache.fop.mif
Class MIFDocument

    java.lang.Object
      |
      +--org.apache.fop.mif.MIFDocument

public class MIFDocument
extends java.lang.Object

class representing a MIF document. The document is built up by calling various methods and then finally output to given filehandle using output method.

Field Summary
`protected org.apache.fop.mif.MIFDocument.BookComponent` `bookComponent`
`protected static java.lang.String` `mifVersion` the version of MIF supported

Constructor Summary
`MIFDocument()` creates an empty MIF document

Method Summary
`void` `addImage(java.lang.String url, int x, int y, int w, int h)`
`void` `addToStream(java.lang.String s)`
`void` `createFrame(int x, int y, int w, int h)`
`void` `createPage()`
`void` `createTable()`
`void` `createTextRect(int numCols)`
`void` `endTable()`
`void` `output(java.io.OutputStream stream)`
`void` `setBlockProp(int startIndent, int endIndent)`
`void` `setColumnProp(int colWidth)`
`void` `setCurrent(java.lang.String current)`
`void` `setDocumentHeightWidth(int height, int width)`
`void` `setTextRectProp(int left, int top, int width, int height)`
`void` `startCell(int rowSpan, int colSpan)`
`void` `startLine()`
`void` `startRow()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### mifVersion

    protected static final java.lang.String mifVersion

  the version of MIF supported

### bookComponent

    protected org.apache.fop.mif.MIFDocument.BookComponent bookComponent

Constructor Detail

### MIFDocument

    public MIFDocument()

  creates an empty MIF document

Method Detail

### createPage

    public void createPage()

### addToStream

    public void addToStream(java.lang.String s)

### output

    public void output(java.io.OutputStream stream)
                throws java.io.IOException

### setDocumentHeightWidth

    public void setDocumentHeightWidth(int height,
                                       int width)

### createTextRect

    public void createTextRect(int numCols)

### setTextRectProp

    public void setTextRectProp(int left,
                                int top,
                                int width,
                                int height)

### startLine

    public void startLine()

### setBlockProp

    public void setBlockProp(int startIndent,
                             int endIndent)

### createFrame

    public void createFrame(int x,
                            int y,
                            int w,
                            int h)

### addImage

    public void addImage(java.lang.String url,
                         int x,
                         int y,
                         int w,
                         int h)

### createTable

    public void createTable()

### setColumnProp

    public void setColumnProp(int colWidth)

### setCurrent

    public void setCurrent(java.lang.String current)

### startRow

    public void startRow()

### startCell

    public void startCell(int rowSpan,
                          int colSpan)

### endTable

    public void endTable()

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.